summaryrefslogtreecommitdiffstats
path: root/source/l/lesstif/lesstif.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/lesstif/lesstif.SlackBuild')
-rwxr-xr-xsource/l/lesstif/lesstif.SlackBuild34
1 files changed, 27 insertions, 7 deletions
diff --git a/source/l/lesstif/lesstif.SlackBuild b/source/l/lesstif/lesstif.SlackBuild
index cb169ad7f..70f888505 100755
--- a/source/l/lesstif/lesstif.SlackBuild
+++ b/source/l/lesstif/lesstif.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006-2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006-2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,9 +22,18 @@
PKGNAM=lesstif
-VERSION=${VERSION:-0.95.0}
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-5}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -43,11 +52,14 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
cd ${PKGNAM}-$VERSION || exit 1
if [ "$ARCH" = "x86_64" ]; then
@@ -56,8 +68,6 @@ if [ "$ARCH" = "x86_64" ]; then
zcat $CWD/lesstif.x86_64.patch.gz | patch -p1 --verbose || exit 1
fi
-zcat $CWD/lesstif.gcc42.diff.gz | patch -p1 --verbose || exit 1
-
# Check for NULL w in RenderTable.c to prevent possible crashes in
# "experimental" code path:
zcat $CWD/lesstif.rendertable.check.diff.gz | patch -p1 --verbose || exit 1
@@ -76,6 +86,7 @@ CFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc/X11 \
+ --mandir=/usr/man \
--enable-shared \
--enable-static \
--enable-build-21 \
@@ -105,6 +116,15 @@ rmdir $PKG/usr/lib${LIBDIRSUFFIX}/LessTif
mkdir $PKG/usr/doc
mv doc $PKG/usr/doc/lesstif-${VERSION}
)
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
rmdir $PKG/usr/LessTif
mkdir -p $PKG/etc/X11
mv $PKG/usr/lib${LIBDIRSUFFIX}/X11/app-defaults $PKG/etc/X11